#!/bin/bash

version=`cat /etc/issue | awk '{print $4}' | cut -d'c' -f2`

cat /etc/issue | awk '{print $4}' | cut -d'c' -f2 | grep "-"
if [ $? -ne 0 ];
then
ver=$version-v1
else
num=`echo $version | cut -d'v' -f2`
let num++
tmp=`echo $version | cut -d'-' -f1`
ver=$tmp-v$num
fi

sed -i "s/$version/$ver/g" /etc/issue


version1=`cat /etc/os-release | grep VERSION_CODENAME | cut -d'=' -f2`
cat /etc/os-release | grep VERSION_CODENAME | cut -d'=' -f2 | grep "-"
if [ $? -ne 0 ];
then
	ver1=$version1-v1
else
	num1=`echo $version1 | cut -d'v' -f2`
	let num1++
	tmp1=`echo $version1 | cut -d'-' -f1`
	ver1=$tmp1-v$num1
fi

sed -i "s/$version1/$ver1/g" /etc/os-release

